--- a/CMakeLists.txt	2014-05-04 21:27:59.000000000 -0400
+++ b/CMakeLists.txt	2014-05-04 21:47:31.460572470 -0400
@@ -269,14 +269,14 @@
 	${CPACK_RESOURCE_FILE_LICENSE}
 	"${CMAKE_SOURCE_DIR}/Licenses_for_Third-Party_Components.txt"
 	"${CMAKE_SOURCE_DIR}/ANNOUNCEMENT"
-	DESTINATION "." OPTIONAL)
+	DESTINATION "${INSTALL_DOCS}" OPTIONAL)
 
 SET(COMMON_IGNORE_FILES "/CMakeFiles/" "/Testing/" "/.bzr/" "_CPack_Packages/"
     "~" ".swp" ".log" ".gz" ".directory$" "CMakeCache.txt" "Makefile"
 	"install_manifest.txt")
 SET(PRJ_COMMON_IGNORE_FILES ${COMMON_IGNORE_FILES} "ANNOUNCEMENT_102_ALPHA" "ANNOUNCEMENT_103_ALPHA" "ANNOUNCEMENT_104_BETA" "ANNOUNCEMENT_105_GA" "ANNOUNCEMENT_110_GA" "ANNOUNCEMENT_111_GA" "ANNOUNCEMENT_DRAFT" )
 
-SET(CPACK_SOURCE_IGNORE_FILES ${PRJ_COMMON_IGNORE_FILES}  "./cppconn/config.h$" "./driver/nativeapi/binding_config.h$" "./driver/version_info.h$")
+SET(CPACK_SOURCE_IGNORE_FILES ${PRJ_COMMON_IGNORE_FILES}  "${CMAKE_CURRENT_SOURCE_DIR}/cppconn/config.h$" "${CMAKE_CURRENT_SOURCE_DIR}/driver/nativeapi/binding_config.h$" "${CMAKE_CURRENT_SOURCE_DIR}/driver/version_info.h$")
 SET(CPACK_PACKAGE_IGNORE_FILES ${PRJ_COMMON_IGNORE_FILES} "something_there" )
 SET(CPACK_SOURCE_GENERATOR "TGZ")
 
@@ -303,10 +303,6 @@
 ADD_SUBDIRECTORY(cppconn)
 ADD_SUBDIRECTORY(driver)
 ADD_SUBDIRECTORY(examples)
-ADD_SUBDIRECTORY(test)
-ADD_SUBDIRECTORY(test/framework)
-ADD_SUBDIRECTORY(test/CJUnitTestsPort)
-ADD_SUBDIRECTORY(test/unit)
 
 IF(DEFINED CMAKE_SYSTEM_NAME AND ${CMAKE_SYSTEM_NAME} STREQUAL "SunOS")
 	# see also README
diff -urN a/cppconn/CMakeLists.txt b/cppconn/CMakeLists.txt
--- a/cppconn/CMakeLists.txt	2011-07-30 13:15:44.000000000 +0200
+++ b/cppconn/CMakeLists.txt	2011-07-30 14:10:34.000000000 +0200
@@ -55,7 +55,7 @@
 
 SET(MYSQLCPPCONN_INSTALL_HEADERS
 		build_config.h
-		config.h
+		${CMAKE_CURRENT_BINARY_DIR}/config.h
 		connection.h
 		datatype.h
 		driver.h
diff -urN mysql-connector-c++-1.1.0.old/driver/CMakeLists.txt mysql-connector-c++-1.1.0/driver/CMakeLists.txt
--- a/driver/CMakeLists.txt	2011-07-30 13:15:44.000000000 +0200
+++ b/driver/CMakeLists.txt	2011-07-30 13:20:36.000000000 +0200
@@ -26,6 +26,9 @@
 
 INCLUDE_DIRECTORIES(${MYSQLCPPCONN_SOURCE_DIR})
 INCLUDE_DIRECTORIES(${MYSQLCPPCONN_SOURCE_DIR}/cppconn)
+INCLUDE_DIRECTORIES(${MYSQLCPPCONN_BINARY_DIR})
+INCLUDE_DIRECTORIES(${MYSQLCPPCONN_BINARY_DIR}/cppconn)
+INCLUDE_DIRECTORIES(${MYSQLCPPCONN_BINARY_DIR}/driver/nativeapi)
 INCLUDE_DIRECTORIES(${MYSQLCPPCONN_BOOST_INCLUDE_DIRS})
 MESSAGE(STATUS "BOOST_INCLUDE_DIRS=${MYSQLCPPCONN_BOOST_INCLUDE_DIRS}")
 
@@ -149,21 +152,23 @@
 		nativeapi/native_statement_wrapper.h
 		nativeapi/mysql_native_resultset_wrapper.h
 		nativeapi/native_resultset_wrapper.h
-		../cppconn/warning.h
-		../cppconn/statement.h
-		../cppconn/sqlstring.h
-		../cppconn/resultset_metadata.h
-		../cppconn/resultset.h
-		../cppconn/prepared_statement.h
-		../cppconn/parameter_metadata.h
-		../cppconn/metadata.h
-		../cppconn/exception.h
-		../cppconn/driver.h
-		../cppconn/datatype.h
-		../cppconn/variant.h
-		../cppconn/connection.h
-		../cppconn/config.h
-		../cppconn/build_config.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/warning.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/statement.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/sqlstring.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/resultset_metadata.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/resultset.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/prepared_statement.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/parameter_metadata.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/metadata.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/exception.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/driver.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/datatype.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/variant.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/connection.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/config.h
+		${CMAKE_CURRENT_BINARY_DIR}/cppconn/config.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/build_config.h
+		${CMAKE_CURRENT_BINARY_DIR}/cppconn/build_config.h
 
 	)
 
diff -aruN a/FindMySQL.cmake b/FindMySQL.cmake
--- a/FindMySQL.cmake	2014-11-19 08:37:11.000000000 -0500
+++ b/FindMySQL.cmake	2015-02-21 21:58:20.264446822 -0500
@@ -462,7 +462,7 @@
     endif()
 
     if(NOT MYSQL_CXXFLAGS)
-      if(MYSQL_CXX_LINKAGE OR MYSQL_NUM_VERSION GREATER 50603)
+      if(MYSQL_CXX_LINKAGE)
         _mysql_conf(MYSQL_CXXFLAGS "--cxxflags")
         set(MYSQL_CXX_LINKAGE 1)
       else()
